files = {
    '/etc/matrix-synapse/homeserver.yaml': {
        'content_type': 'mako',
        'context': node.metadata['matrix-synapse'],
        'needs': {
            'pkg_apt:matrix-synapse-py3',
        },
        'triggers': {
            'svc_systemd:matrix-synapse:restart',
        },
    },
    '/etc/matrix-synapse/homeserver.signing.key': {
        'content': repo.vault.decrypt_file('matrix-synapse/{}/homeserver_signing.key.vault'.format(node.name)),
    },
}

directories = {
    '/etc/matrix-synapse/conf.d': {
        'purge': True,
    },
}

svc_systemd = {
    'matrix-synapse': {
        'needs': {
            'file:/etc/matrix-synapse/homeserver.yaml',
            'directory:/etc/matrix-synapse/conf.d',
            'pkg_apt:matrix-synapse-py3',
        },
    },
}
