@metadata_processor
def mx_puppet_discord_user(metadata):
    return {
        'users': {
            'mx-puppet-discord': {
                'home': '/opt/mx-puppet-discord',
                'deploy_configs': False,
                'home-mode': '0755',
            },
        },
    }, DEFAULTS, DONE

@metadata_processor
def add_mx_puppet_discord_to_synapse(metadata):
    return {
        'matrix-synapse': {
            'appservice_configs': {
                '/opt/mx-puppet-discord/registration.yaml',
            },
        },
    }, DEFAULTS, DONE

@metadata_processor
def postgres(metadata):
    return {
        'mx-puppet-discord': {
            'database': {
                'user': 'mx-puppet-discord',
                'password': repo.vault.password_for('{} postgresql mx-puppet-discord'.format(node.name)),
                'database': 'mx-puppet-discord',
            },
        },
        'postgres': {
            'users': {
                'mx-puppet-discord': {
                    'password': repo.vault.password_for('{} postgresql mx-puppet-discord'.format(node.name)),
                },
            },
            'databases': {
                'mx-puppet-discord': {
                    'owner': 'mx-puppet-discord',
                },
            },
        },
    }, DEFAULTS, DONE

